SLANT-COLLECTD(8)

NAME
slant-collectd - daemon to collect system statistics

SYNOPSIS
slant-collectd [-nv] [-d discs] [-f dbfile] [-p procs]

DESCRIPTION
The slant-collectd utility collects system statistics and records them in dbfile, which defaults to /var/www/data/slant.db. Its arguments are as follows:

-n  Do not open the database: collect data only.

-v  Print collected data as a table to standard output.

-d discs
    Discs to monitor. Multiple discs may be separated by a comma. By default, all discs are monitored.

-p procs
    Processes to monitor. Multiple processes may be separated by a comma. Processes should be listed by their executable name, e.g., httpd instead of /usr/sbin/httpd.

-f dbfile
    The SQLite database file.

To end collection, kill the process with SIGINT or SIGTERM, which will gracefully end the collection sequence.

EXAMPLES
On a system with software RAID (or software FDE), monitor only the root disc to prevent bandwidth duplication.

    # slant-collectd -d sd0

To additionally monitor CGI and login facilities:

    # slant-collectd -d sd0 -p slowcgi,httpd,sshd